Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
RawPostingList.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::RawPostingList

This is the base class for an in-memory posting list, keyed by a Token. TermsHash maintains a hash table holding one instance of this per unique Token. Consumers of TermsHash (TermsHashConsumer) must subclass this class with its own concrete class. FreqProxTermsWriterPostingList is a private inner class used for the freq/prox postings, and TermVectorsTermsWriterPostingList is a private inner class used to hold TermVectors postings. More...

## Namespaces

| Lucene

clucene.sourceforge.net